# Migrations.sol

View Source: [contracts/Migrations.sol](https://github.com/AlkemiNetwork/alkemi-earn-contracts/tree/ae6d5c01ff8b3810c4005457ac7ce441ab1c7ec5/contracts/Migrations.sol)

### Contract Members

**Constants & Variables**

```javascript
address public owner;
uint256 public last_completed_migration;
```

### Modifiers

* restricted

#### restricted

```javascript
modifier restricted() internal
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

### Functions

* setCompleted(uint256 completed)
* upgrade(address new\_address)

#### setCompleted

```javascript
function setCompleted(uint256 completed) public nonpayable restricted
```

**Arguments**

| Name      | Type    | Description |
| --------- | ------- | ----------- |
| completed | uint256 |             |

#### upgrade

```javascript
function upgrade(address new_address) public nonpayable restricted
```

**Arguments**

| Name         | Type    | Description |
| ------------ | ------- | ----------- |
| new\_address | address |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alkemi.network/earn-contracts/docs/migrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
